import request from '@/utils/request'


export function settled(data) {
    return request({
        url: '/system/merchant/settled',
        method: 'post',
        data
    })
}

export function settledModify(data) {
    return request({
        url: '/system/merchant/settledModify',
        method: 'post',
        data
    })
}

export function merchantModify(data) {
    return request({
        url: '/system/merchant/merchantModify',
        method: 'post',
        data
    })
}

export function detail(merchantId) {
    return request({
        url: '/system/merchant/merchantInfo',
        method: 'get',
        params: {
            merchantId
        }
    })
}

export function merchantCategoryModify(data) {
    return request({
        url: '/system/merchant/merchantCategoryModify',
        method: 'post',
        data
    })
}

export function categoryList() {
    return request({
        url: '/system/merchant/categoryList',
        method: 'get'
    })
}

export function merchantCategoryList(merchantId) {
    return request({
        url: '/system/merchant/merchantCategoryList',
        method: 'get',
        params: {
            merchantId
        }
    })
}